Bug 109851 - Error running
Error running
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-config-xfree86 (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-12 08:10 EST by Sepehr
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-03 12:33:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sepehr 2003-11-12 08:10:53 EST
Description of problem:
When I try to run redhat-config-xfree86 (from a command line) I get
the following message:
-------------
* ddcprobe returned bogus values:
ID:   None
Name: None
HorizSync: None
VertSync:  None
 
Traceback (most recent call last):
  File "/usr/share/redhat-config-xfree86/xconf.py", line 406, in ?
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, vc)
  File "/usr/share/redhat-config-xfree86/xConfigDialog.py", line 450,
in __init__
   
self.xml.get_widget("secondMonitorLabel").set_text(monitor_list[1].modelname)
TypeError: GtkLabel.set_text() argument 1 must be string, not None
---------------

The XF86Config-4 I was running was highly customized for my IBM t40p
laptop (running ATI Mobility FireGL 9000). So I tried to delete the
XF86Config-4. Now redhat-config-xfree86 appears to work perfectly but
when I go to hit "OK" nothing happens, but I get an error meesage at
the command prompt:

--------------------
* ddcprobe returned bogus values:
ID:   None
Name: None
HorizSync: None
VertSync:  None
 
Traceback (most recent call last):
  File "/usr/share/redhat-config-xfree86/xConfigDialog.py", line 229,
in ok
    adj.scrnum = 0
AttributeError: No such attribute
-----------------

Version-Release number of selected component (if applicable):
XFree  4.3.0-42
redhat-config-xfree86  0.9.15-1
Comment 1 Brent Fox 2004-03-03 12:33:05 EST
Should be fixed in system-config-display-1.0.10-1 in Rawhide.  Thanks
for your report.

Note You need to log in before you can comment on or make changes to this bug.